'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var collection = require('./collection.js');
var collectionItem = require('./collection-item.js');

const COLLECTION_ITEM_SIGN = `data-el-collection-item`;
const createCollectionWithScope = (name) => {
  const COLLECTION_NAME = `Ps${name}Collection`;
  const COLLECTION_ITEM_NAME = `${COLLECTION_NAME}Item`;
  const COLLECTION_INJECTION_KEY = Symbol(COLLECTION_NAME);
  const COLLECTION_ITEM_INJECTION_KEY = Symbol(COLLECTION_ITEM_NAME);
  const PsCollection = {
    ...collection["default"],
    name: COLLECTION_NAME,
    setup() {
      const collectionRef = vue.ref(null);
    }
  };
  const PsCollectionItem = {
    ...collectionItem["default"],
    name: COLLECTION_ITEM_NAME,
    setup(_, { attrs }) {
    }
  };
  return {
    COLLECTION_INJECTION_KEY,
    COLLECTION_ITEM_INJECTION_KEY,
    PsCollection,
    PsCollectionItem
  };
};

exports.COLLECTION_ITEM_SIGN = COLLECTION_ITEM_SIGN;
exports.createCollectionWithScope = createCollectionWithScope;
//# sourceMappingURL=collection2.js.map
